Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.api.taskplan
Interface PropertyRef

All Superinterfaces:
  EventSource, Serializable

    public interface PropertyRef

extends EventSource, Serializable

Represents a reference to a property defined on a task plan. This reference can override the description and default value of the property it refers to. This is useful in cases where the context in which the property is being used requires extra information be provided to the user (override description) or it requires a special value (override default value).

Nested Class Summary
`static interface` | `PropertyRef.Event` Property names for the PropertyChangeEvents that can be produced by edits on a object of this type.

Method Summary
`String` | `getDefaultValue()` Get the default value override for this property ref, or null if no override has been set.
`String` | `getDescription()` Get the description for this property ref.
`String` | `getPropertyName()` The name of the property to which this property ref refers.
`SystemProperty` | `getSystemPropertyType()` Get the SystemProperty value this ref refers to.
`boolean` | `isSystemProperty()` Is this a system property?
`void` | `setDefaultValue(String value)` Set the default value override for this property ref.
`void` | `setDescription(String desc)` Set the description override for this property ref.
`void` | `setPropertyName(String name)` Set the name of the property for this property ref.

Methods inherited from interface com.bea.wli.worklist.api.taskplan.EventSource
`addPropertyChangeListener, addPropertyChangeListener, clearDirty, dispose, getParent, isComplete, isDirty, isInitializing, isStarted, markDirty, removePropertyChangeListener, removePropertyChangeListener, startProducing`

Method Detail

### getPropertyName

    String getPropertyName()

  The name of the property to which this property ref refers. Should never be null.

### setPropertyName

    void setPropertyName(String name)

  Set the name of the property for this property ref. Cannot be null.

### isSystemProperty

    boolean isSystemProperty()

  Is this a system property?

### getSystemPropertyType

    SystemProperty getSystemPropertyType()

  Get the SystemProperty value this ref refers to.

### getDescription

    String getDescription()

  Get the description for this property ref. The returned value is the value of the overridden description or null if no override has been set.

### setDescription

    void setDescription(String desc)

  Set the description override for this property ref.

### getDefaultValue

    String getDefaultValue()

  Get the default value override for this property ref, or null if no override has been set.

### setDefaultValue

    void setDefaultValue(String value)

  Set the default value override for this property ref.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD